org.eclipse.ui.views.navigator

## Class ResourceNavigatorMessages

- java.lang.Object
- - org.eclipse.ui.views.navigator.ResourceNavigatorMessages

Deprecated.
These messages are not API and should not be referenced outside of this plug-in.

    @Deprecated
    public class ResourceNavigatorMessages
    extends Object

Utility class which helps managing messages

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static String` `format(String key, Object[] args)` Deprecated. Returns the formatted message for the given key in the resource bundle.
`static String` `getString(String key)` Deprecated. Returns the resource object with the given key in the resource bundle.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### format

    public static String format(String key,
                                Object[] args)

Deprecated.
Returns the formatted message for the given key in the resource bundle.

Parameters:
  `key` - the resource name
  `args` - the message arguments
Returns:
  the string

#### getString

    public static String getString(String key)

Deprecated.
Returns the resource object with the given key in the resource bundle. If there isn't any value under the given key, the key is returned.

Parameters:
  `key` - the resource name
Returns:
  the string